Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class SchemaModelLoader.IdentityConstraintHandler

    java.lang.Object
      com.saxonica.schema.SchemaModelLoader.IdentityConstraintHandler

Enclosing class:
  SchemaModelLoader

    public class SchemaModelLoader.IdentityConstraintHandler

extends Object

Handle an identity constraint (key, keyref, unique)

Constructor Summary
`SchemaModelLoader.IdentityConstraintHandler()` Create an IdentityConstraintHandler

Method Summary
`com.saxonica.schema.SchemaModelLoader.SCMNodeHandler` | `handleChildElement(String localName)` Handle a child element of the element currently being processed.
`void` | `processElementEnd()` Process the element end tag
`void` | `processElementStart(String localName, AttributeCollection attributes)` Process an element start tag together with its attributes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaModelLoader.IdentityConstraintHandler

    public SchemaModelLoader.IdentityConstraintHandler()

  Create an IdentityConstraintHandler

Method Detail

### handleChildElement

    public com.saxonica.schema.SchemaModelLoader.SCMNodeHandler handleChildElement(String localName)
                                                                            throws SchemaException

  Handle a child element of the element currently being processed.

  Parameters:
    `localName` - the local name of the child element
  Returns:
    an SCMNodeHandler which will be used to process the child element
  Throws:
    `SchemaException` - if the data is invalid

### processElementStart

    public void processElementStart(String localName,
                                    AttributeCollection attributes)
                             throws SchemaException

  Process an element start tag together with its attributes

  Parameters:
    `localName` - the name of the element to be processed
    `attributes` - the attributes of the element being processed
  Throws:
    `SchemaException` - if the data is invalid

### processElementEnd

    public void processElementEnd()

  Process the element end tag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.